com.amazonaws.auth.policy.actions

## Enum CloudFrontActions

- java.lang.Object
- - java.lang.Enum<CloudFrontActions>
  - - com.amazonaws.auth.policy.actions.CloudFrontActions

All Implemented Interfaces:
  Action, Serializable, Comparable<CloudFrontActions>

    public enum CloudFrontActions
    extends Enum<CloudFrontActions>
    implements Action

The available AWS access control policy actions for CloudFront.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AllCloudFrontActions` Represents any action executed on CloudFront.
`CreateCloudFrontOriginAccessIdentity` Action for the CreateCloudFrontOriginAccessIdentity operation.
`CreateDistribution` Action for the CreateDistribution operation.
`CreateDistributionWithTags` Action for the CreateDistributionWithTags operation.
`CreateInvalidation` Action for the CreateInvalidation operation.
`CreateStreamingDistribution` Action for the CreateStreamingDistribution operation.
`CreateStreamingDistributionWithTags` Action for the CreateStreamingDistributionWithTags operation.
`DeleteCloudFrontOriginAccessIdentity` Action for the DeleteCloudFrontOriginAccessIdentity operation.
`DeleteDistribution` Action for the DeleteDistribution operation.
`DeleteStreamingDistribution` Action for the DeleteStreamingDistribution operation.
`GetCloudFrontOriginAccessIdentity` Action for the GetCloudFrontOriginAccessIdentity operation.
`GetCloudFrontOriginAccessIdentityConfig` Action for the GetCloudFrontOriginAccessIdentityConfig operation.
`GetDistribution` Action for the GetDistribution operation.
`GetDistributionConfig` Action for the GetDistributionConfig operation.
`GetInvalidation` Action for the GetInvalidation operation.
`GetStreamingDistribution` Action for the GetStreamingDistribution operation.
`GetStreamingDistributionConfig` Action for the GetStreamingDistributionConfig operation.
`ListCloudFrontOriginAccessIdentities` Action for the ListCloudFrontOriginAccessIdentities operation.
`ListDistributions` Action for the ListDistributions operation.
`ListDistributionsByWebACLId` Action for the ListDistributionsByWebACLId operation.
`ListInvalidations` Action for the ListInvalidations operation.
`ListStreamingDistributions` Action for the ListStreamingDistributions operation.
`ListTagsForResource` Action for the ListTagsForResource operation.
`TagResource` Action for the TagResource operation.
`UntagResource` Action for the UntagResource operation.
`UpdateCloudFrontOriginAccessIdentity` Action for the UpdateCloudFrontOriginAccessIdentity operation.
`UpdateDistribution` Action for the UpdateDistribution operation.
`UpdateStreamingDistribution` Action for the UpdateStreamingDistribution operation.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getActionName()`
`static CloudFrontActions` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CloudFrontActions[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AllCloudFrontActions

    public static final CloudFrontActions AllCloudFrontActions

Represents any action executed on CloudFront.

#### CreateCloudFrontOriginAccessIdentity

    public static final CloudFrontActions CreateCloudFrontOriginAccessIdentity

Action for the CreateCloudFrontOriginAccessIdentity operation.

#### CreateDistribution

    public static final CloudFrontActions CreateDistribution

Action for the CreateDistribution operation.

#### CreateDistributionWithTags

    public static final CloudFrontActions CreateDistributionWithTags

Action for the CreateDistributionWithTags operation.

#### CreateInvalidation

    public static final CloudFrontActions CreateInvalidation

Action for the CreateInvalidation operation.

#### CreateStreamingDistribution

    public static final CloudFrontActions CreateStreamingDistribution

Action for the CreateStreamingDistribution operation.

#### CreateStreamingDistributionWithTags

    public static final CloudFrontActions CreateStreamingDistributionWithTags

Action for the CreateStreamingDistributionWithTags operation.

#### DeleteCloudFrontOriginAccessIdentity

    public static final CloudFrontActions DeleteCloudFrontOriginAccessIdentity

Action for the DeleteCloudFrontOriginAccessIdentity operation.

#### DeleteDistribution

    public static final CloudFrontActions DeleteDistribution

Action for the DeleteDistribution operation.

#### DeleteStreamingDistribution

    public static final CloudFrontActions DeleteStreamingDistribution

Action for the DeleteStreamingDistribution operation.

#### GetCloudFrontOriginAccessIdentity

    public static final CloudFrontActions GetCloudFrontOriginAccessIdentity

Action for the GetCloudFrontOriginAccessIdentity operation.

#### GetCloudFrontOriginAccessIdentityConfig

    public static final CloudFrontActions GetCloudFrontOriginAccessIdentityConfig

Action for the GetCloudFrontOriginAccessIdentityConfig operation.

#### GetDistribution

    public static final CloudFrontActions GetDistribution

Action for the GetDistribution operation.

#### GetDistributionConfig

    public static final CloudFrontActions GetDistributionConfig

Action for the GetDistributionConfig operation.

#### GetInvalidation

    public static final CloudFrontActions GetInvalidation

Action for the GetInvalidation operation.

#### GetStreamingDistribution

    public static final CloudFrontActions GetStreamingDistribution

Action for the GetStreamingDistribution operation.

#### GetStreamingDistributionConfig

    public static final CloudFrontActions GetStreamingDistributionConfig

Action for the GetStreamingDistributionConfig operation.

#### ListCloudFrontOriginAccessIdentities

    public static final CloudFrontActions ListCloudFrontOriginAccessIdentities

Action for the ListCloudFrontOriginAccessIdentities operation.

#### ListDistributions

    public static final CloudFrontActions ListDistributions

Action for the ListDistributions operation.

#### ListDistributionsByWebACLId

    public static final CloudFrontActions ListDistributionsByWebACLId

Action for the ListDistributionsByWebACLId operation.

#### ListInvalidations

    public static final CloudFrontActions ListInvalidations

Action for the ListInvalidations operation.

#### ListStreamingDistributions

    public static final CloudFrontActions ListStreamingDistributions

Action for the ListStreamingDistributions operation.

#### ListTagsForResource

    public static final CloudFrontActions ListTagsForResource

Action for the ListTagsForResource operation.

#### TagResource

    public static final CloudFrontActions TagResource

Action for the TagResource operation.

#### UntagResource

    public static final CloudFrontActions UntagResource

Action for the UntagResource operation.

#### UpdateCloudFrontOriginAccessIdentity

    public static final CloudFrontActions UpdateCloudFrontOriginAccessIdentity

Action for the UpdateCloudFrontOriginAccessIdentity operation.

#### UpdateDistribution

    public static final CloudFrontActions UpdateDistribution

Action for the UpdateDistribution operation.

#### UpdateStreamingDistribution

    public static final CloudFrontActions UpdateStreamingDistribution

Action for the UpdateStreamingDistribution operation.

### Method Detail

#### values

    public static CloudFrontActions[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CloudFrontActions c : CloudFrontActions.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CloudFrontActions valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getActionName

    public String getActionName()

Specified by:
  `getActionName` in interface `Action`